﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Setting Up Access Requests</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Setting Up Access Requests</h1>
        <p>This topic provides information about how to set up a new experience environment before using it. </p>
        <p>It includes the following sections:</p>
        <p>You can search the pending tasks using <strong>System Username</strong> as the search parameter from the <strong>Users</strong> tab in the <strong>Advanced Search</strong> window</p>
        <h2 id="SettingUpARS(ModernExperience)-CustomizingtheUIMessages">Customizing the UI Messages</h2>
        <p>You can customize the messages displayed in the new experience in any of the supported languages. The messages are stored in the <strong>message_properties</strong> table in the database. The table includes the following details: </p>
        <ul>
            <li>
                <p><strong>Local:</strong> Specifies the language of the message.</p>
            </li>
            <li>
                <p><strong>Message Key:</strong> Specifies the key that is used to customize the message. It is unique for every message.</p>
            </li>
            <li>
                <p><strong>Message Value:</strong> Specifies a particular text in the message that requires customization.</p>
            </li>
        </ul>
        <p>ARS provides a set of APIs, which makes it simple to build a custom user interface. You need to pass the message that you want to customize in an API to find the corresponding message key from the properties files. After the message key is obtained, pass it to another API to change the message. The user interface responds to metadata changes at runtime.</p>
        <ol>
            <li>
                <p>Go to Postman API utility.</p>
            </li>
            <li>
                <p>Make a GET request to the following API:<br /><a href="https://ssm-eksdev.saviyntcloud.com/ECMv6/api/idw/messageProperties/retrieveMessages?locale=en" class="external-link" rel="nofollow">https://&lt;hostname&gt;/ECMv6/api/idw/messageProperties/retrieveMessages?locale=en</a><br />The response includes all messages that the API supports along with corresponding message keys. Search for the message and its message key from the response to use in the next request.</p>
            </li>
            <li>
                <p>Customize the message using the following API:<br /><a href="https://ssm-eksdev.saviyntcloud.com/ECMv6/api/idw/messageProperties" class="external-link" rel="nofollow">https://&lt;hostname&gt;/ECMv6/api/idw/messageProperties</a><br />For example, to customize the <em>“It is nice to have you here.“</em> message, pass the following values:</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">{
  "messageKey": "pa.req.greeting",
  "messageLocale": "en",
  "messageValue": "It is nice to have you here."
}  </MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
                <p>The translated messages are automatically obtained and inserted into the Web pages.</p>
            </li>
        </ol>
        <h2 id="SettingUpARS(ModernExperience)-CustomizingtheUIIcons">Customizing the UI Icons</h2>
        <p>You can customize icons available on the new user interface. The <strong>Hero</strong> image (the background image on top of the page) can be customized to host the customer brand image. It shows the name of the user and a welcome message. The welcome message is driven through message_properties and it is customizable.</p>
        <p>The icons for all tiles are customizable. IGA provides out-of-the-box icons for each of the out-of-the-box tiles. The tiles icons are theme-based and will adapt to the color theme applied across the user interface. The icons are available in the following path:</p>
        <p>
            <label class="filename-path">/resource/image/app</label>
        </p>
        <h2 id="SettingUpARS(ModernExperience)-ConfiguringtheGlobalConfigurations">Configuring the Global Configurations</h2>
        <p>Global Configurations provide configuration settings to set up new interfaces for use. For more information, see <MadCap:xref href="../Chapter06-Configuring-EIC/ARS-Request-Configurations.htm">ARS Request Configurations</MadCap:xref> to customize your settings.</p>
        <h2 id="SettingUpARS(ModernExperience)-ApplicationLogDetails">Application Log Details</h2>
        <p>Logging is the main tool used for debugging the configuration of the new interfaces. Logs are collected in Kibana, which is an open-source data visualization and exploration tool used for log and time-series analytics, application monitoring, and operational intelligence use cases. Kibana provides facilities for writing, viewing, querying, and analyzing log messages.</p>
    </body>
</html>